bundle/manifests/edp.epam.com_nexusrepositories.yaml [7:4431]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  name: nexusrepositories.edp.epam.com
spec:
  group: edp.epam.com
  names:
    kind: NexusRepository
    listKind: NexusRepositoryList
    plural: nexusrepositories
    singular: nexusrepository
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: NexusRepository is the Schema for the nexusrepositories API.
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          metadata:
            type: object
          spec:
            description: |-
              NexusRepositorySpec defines the desired state of NexusRepository.
              It should contain only one format of repository - go, maven, npm, etc. and only one type - proxy, hosted or group.
            properties:
              apt:
                properties:
                  hosted:
                    properties:
                      apt:
                        description: Apt contains data of hosted repositories of format
                          Apt.
                        properties:
                          distribution:
                            description: Distribution to fetch
                            type: string
                        required:
                        - distribution
                        type: object
                      aptSigning:
                        description: AptSigning contains signing data of hosted repositores
                          of format Apt.
                        properties:
                          keypair:
                            description: PGP signing key pair (armored private key
                              e.g. gpg --export-secret-key --armor)
                            type: string
                          passphrase:
                            description: Passphrase to access PGP signing key
                            type: string
                        required:
                        - keypair
                        type: object
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - apt
                    - aptSigning
                    - name
                    type: object
                  proxy:
                    properties:
                      apt:
                        description: Apt configuration.
                        properties:
                          distribution:
                            description: Distribution to fetch.
                            type: string
                          flat:
                            default: false
                            description: Whether this repository is flat.
                            type: boolean
                        required:
                        - distribution
                        type: object
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - apt
                    - name
                    - proxy
                    type: object
                type: object
              bower:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      bower:
                        properties:
                          rewritePackageUrls:
                            description: Whether to force Bower to retrieve packages
                              through this proxy repository
                            type: boolean
                        required:
                        - rewritePackageUrls
                        type: object
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - bower
                    - name
                    - proxy
                    type: object
                type: object
              cocoapods:
                properties:
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              conan:
                properties:
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              conda:
                properties:
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              docker:
                properties:
                  group:
                    properties:
                      docker:
                        description: Docker contains data of a Docker Repositoriy.
                        properties:
                          forceBasicAuth:
                            description: Whether to force authentication (Docker Bearer
                              Token Realm required if false)
                            type: boolean
                          httpPort:
                            description: Create an HTTP connector at specified port
                            type: integer
                          httpsPort:
                            description: Create an HTTPS connector at specified port
                            type: integer
                          v1Enabled:
                            description: Whether to allow clients to use the V1 API
                              to interact with this repository
                            type: boolean
                        required:
                        - forceBasicAuth
                        - v1Enabled
                        type: object
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                          writableMember:
                            description: 'Pro-only: This field is for the Group Deployment
                              feature available in NXRM Pro.'
                            type: string
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - docker
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      docker:
                        description: Docker contains data of a Docker Repositoriy.
                        properties:
                          forceBasicAuth:
                            description: Whether to force authentication (Docker Bearer
                              Token Realm required if false)
                            type: boolean
                          httpPort:
                            description: Create an HTTP connector at specified port
                            type: integer
                          httpsPort:
                            description: Create an HTTPS connector at specified port
                            type: integer
                          v1Enabled:
                            description: Whether to allow clients to use the V1 API
                              to interact with this repository
                            type: boolean
                        required:
                        - forceBasicAuth
                        - v1Enabled
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - docker
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      docker:
                        description: Docker contains data of a Docker Repositoriy.
                        properties:
                          forceBasicAuth:
                            description: Whether to force authentication (Docker Bearer
                              Token Realm required if false)
                            type: boolean
                          httpPort:
                            description: Create an HTTP connector at specified port
                            type: integer
                          httpsPort:
                            description: Create an HTTPS connector at specified port
                            type: integer
                          v1Enabled:
                            description: Whether to allow clients to use the V1 API
                              to interact with this repository
                            type: boolean
                        required:
                        - forceBasicAuth
                        - v1Enabled
                        type: object
                      dockerProxy:
                        description: DockerProxy contains data of a Docker Proxy Repository.
                        properties:
                          indexType:
                            default: REGISTRY
                            description: Type of Docker Index.
                            enum:
                            - HUB
                            - REGISTRY
                            - CUSTOM
                            type: string
                          indexUrl:
                            description: |-
                              Url of Docker Index to use.
                              TODO: add cel validation. (Required if indexType is CUSTOM)
                            type: string
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - docker
                    - dockerProxy
                    - name
                    - proxy
                    type: object
                type: object
              gitLfs:
                properties:
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                type: object
              go:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              helm:
                properties:
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              maven:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      maven:
                        default:
                          contentDisposition: INLINE
                          layoutPolicy: STRICT
                          versionPolicy: RELEASE
                        description: Maven contains additional data of maven repository.
                        properties:
                          contentDisposition:
                            default: INLINE
                            description: Add Content-Disposition header as 'Attachment'
                              to disable some content from being inline in a browser.
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                          layoutPolicy:
                            default: STRICT
                            description: Validate that all paths are maven artifact
                              or metadata paths.
                            enum:
                            - STRICT
                            - PERMISSIVE
                            type: string
                          versionPolicy:
                            default: RELEASE
                            description: VersionPolicy is a type of artifact that
                              this repository stores.
                            enum:
                            - RELEASE
                            - SNAPSHOT
                            - MIXED
                            type: string
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      maven:
                        default:
                          contentDisposition: INLINE
                          layoutPolicy: STRICT
                          versionPolicy: RELEASE
                        description: Maven contains additional data of maven repository.
                        properties:
                          contentDisposition:
                            default: INLINE
                            description: Add Content-Disposition header as 'Attachment'
                              to disable some content from being inline in a browser.
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                          layoutPolicy:
                            default: STRICT
                            description: Validate that all paths are maven artifact
                              or metadata paths.
                            enum:
                            - STRICT
                            - PERMISSIVE
                            type: string
                          versionPolicy:
                            default: RELEASE
                            description: VersionPolicy is a type of artifact that
                              this repository stores.
                            enum:
                            - RELEASE
                            - SNAPSHOT
                            - MIXED
                            type: string
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthenticationWithPreemptive contains
                              HTTP client authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                type: string
                              preemptive:
                                description: Whether to use pre-emptive authentication.
                                  Use with caution. Defaults to false.
                                type: boolean
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Whether to block outbound connections on
                              the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      maven:
                        default:
                          contentDisposition: INLINE
                          layoutPolicy: STRICT
                          versionPolicy: RELEASE
                        description: Maven contains additional data of maven repository.
                        properties:
                          contentDisposition:
                            default: INLINE
                            description: Add Content-Disposition header as 'Attachment'
                              to disable some content from being inline in a browser.
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                          layoutPolicy:
                            default: STRICT
                            description: Validate that all paths are maven artifact
                              or metadata paths.
                            enum:
                            - STRICT
                            - PERMISSIVE
                            type: string
                          versionPolicy:
                            default: RELEASE
                            description: VersionPolicy is a type of artifact that
                              this repository stores.
                            enum:
                            - RELEASE
                            - SNAPSHOT
                            - MIXED
                            type: string
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              nexusRef:
                description: NexusRef is a reference to Nexus custom resource.
                properties:
                  kind:
                    default: Nexus
                    description: Kind specifies the kind of the Nexus resource.
                    type: string
                  name:
                    description: Name specifies the name of the Nexus resource.
                    type: string
                required:
                - name
                type: object
              npm:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      npm:
                        properties:
                          removeNonCataloged:
                            description: Remove Non-Cataloged Versions
                            type: boolean
                          removeQuarantined:
                            description: Remove Quarantined Versions
                            type: boolean
                        required:
                        - removeNonCataloged
                        - removeQuarantined
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              nuget:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      nugetProxy:
                        default:
                          nugetVersion: V3
                          queryCacheItemMaxAge: 3600
                        description: NugetProxy contains data specific to proxy repositories
                          of format Nuget.
                        properties:
                          nugetVersion:
                            default: V3
                            description: NugetVersion is the used Nuget protocol version.
                            enum:
                            - V2
                            - V3
                            type: string
                          queryCacheItemMaxAge:
                            default: 3600
                            description: How long to cache query results from the
                              proxied repository (in seconds)
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              p2:
                properties:
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              pypi:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              r:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              raw:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      raw:
                        properties:
                          contentDisposition:
                            description: 'TODO: check default value'
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                        type: object
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      raw:
                        properties:
                          contentDisposition:
                            description: 'TODO: check default value'
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                        type: object
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      raw:
                        properties:
                          contentDisposition:
                            description: 'TODO: check default value'
                            enum:
                            - INLINE
                            - ATTACHMENT
                            type: string
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              rubyGems:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
              yum:
                properties:
                  group:
                    properties:
                      group:
                        description: Group configuration.
                        properties:
                          memberNames:
                            description: Member repositories' names.
                            items:
                              type: string
                            type: array
                        required:
                        - memberNames
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                      yumSigning:
                        properties:
                          keypair:
                            description: PGP signing key pair (armored private key
                              e.g. gpg --export-secret-key --armor)
                            type: string
                          passphrase:
                            description: Passphrase to access PGP signing key
                            type: string
                        type: object
                    required:
                    - group
                    - name
                    type: object
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                      yum:
                        description: Yum contains data of hosted repositories of format
                          Yum.
                        properties:
                          deployPolicy:
                            description: 'TODO: check default value'
                            enum:
                            - PERMISSIVE
                            - STRICT
                            type: string
                          repodataDepth:
                            type: integer
                        required:
                        - repodataDepth
                        type: object
                    required:
                    - name
                    - yum
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                      yumSigning:
                        properties:
                          keypair:
                            description: PGP signing key pair (armored private key
                              e.g. gpg --export-secret-key --armor)
                            type: string
                          passphrase:
                            description: Passphrase to access PGP signing key
                            type: string
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
            required:
            - nexusRef
            type: object
          status:
            description: NexusRepositoryStatus defines the observed state of NexusRepository.
            properties:
              error:
                description: Error is an error message if something went wrong.
                type: string
              value:
                description: Value is a status of the repository.
                type: string
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



